Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: Canon PIXMA MP280

  1. #1
    Join Date
    Feb 2012
    Beans
    7

    Canon PIXMA MP280

    Hi!

    I have this problem, that I can't connect my Canon Pixma MP280 printer nor scanner to Ubuntu 11.10. I've downloaded drivers from here http://www.canon.co.uk/Support/Consu...ownload&page=1
    even tried to install them, but still some drivers are required.
    I'm new to Ubuntu, so basically I need some advices what to do and how.

    Thanks already!

  2. #2
    Join Date
    Nov 2009
    Location
    Croatia/Hrvatska
    Beans
    494
    Distro
    Ubuntu 12.10 Quantal Quetzal

    Re: Canon PIXMA MP280

    No need for printer drivers, they are already in kernel.

    Your printer should be plug 'n' print. What kind of error do you get?

  3. #3
    Join Date
    Feb 2012
    Beans
    7

    Re: Canon PIXMA MP280

    usr/lib/cups/filter/pstocanonij (i've googled this, but find nothing that would help)
    something like this is required and it doesn't print. Also scanner is not recognized.
    yeah, but I think that there were not drivers for this printer in kernel.

    Maybe there is some way i can use drivers which are in install CD? I've tried this, but nothing happened. Just files.

  4. #4
    Join Date
    Nov 2009
    Location
    Croatia/Hrvatska
    Beans
    494
    Distro
    Ubuntu 12.10 Quantal Quetzal

    Re: Canon PIXMA MP280

    I had similar problems with my printer (MP240). Can you copy-paste exactly what error do you get?
    The drivers from your CD are useless. Can you also say what exactly did you do with printers you downloaded from Canon website?

  5. #5
    Join Date
    Feb 2012
    Beans
    7

    Re: Canon PIXMA MP280

    https://answers.launchpad.net/ubuntu...uestion/175575
    I did these steps.
    /usr/lib/cups/filter/pstocanonij" not available: No such file or directory
    and this is the error which I get.
    and as scanner it's not recognized at all.

  6. #6
    Join Date
    Nov 2011
    Beans
    5

    Re: Canon PIXMA MP280

    It's better to use the PPA provided by Michael Gruz. Just uninstall the current Canon driver and follow the instructions on this page:
    http://www.ubuntubuzz.com/2011/06/do...er-driver.html
    Your model (MP280) is not explicitly listed on the page - the correct package names are "cnijfilter-mp280series" and "scangearmp-mp280series".

    The instructions given there apply to any modern Canon printer.
    Last edited by ElGaton; February 9th, 2012 at 10:14 AM. Reason: Model not listed on the suggested page

  7. #7
    Join Date
    Feb 2012
    Beans
    35

    Re: Canon PIXMA MP280

    Quote Originally Posted by marin123 View Post
    No need for printer drivers, they are already in kernel.

    Your printer should be plug 'n' print. What kind of error do you get?
    Canon devices are not always supported out-of-the-box by the Linux kernel.

    @darbiniece:
    Check here for an how-to:
    https://sites.google.com/site/tipsan.../canon-drivers

  8. #8
    Join Date
    Feb 2012
    Beans
    7

    Re: Canon PIXMA MP280

    Everything went okay, but in the end it was just written:
    Unable to locate package cnijfilter-mp280series
    is it possible that there is no such package?

  9. #9
    Join Date
    Jan 2011
    Location
    Toe-puke-uh, Kansas, USA
    Beans
    156
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Canon PIXMA MP280

    Quote Originally Posted by darbiniece View Post
    Everything went okay, but in the end it was just written:
    Unable to locate package cnijfilter-mp280series
    is it possible that there is no such package?
    It appears so.

  10. #10
    Join Date
    Feb 2012
    Beans
    7

    Re: Canon PIXMA MP280

    So it means I can't install this particular printer?

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •